WordPress.org

Ready to get started?Download WordPress

Forums

Constant Contact for WordPress
[resolved] v.2.3.7 causing fatal error in admin (17 posts)

  1. adambundy
    Member
    Posted 2 years ago #

    I have just upgraded to the new version and am now getting a fatal error when trying to access the admin:

    Warning: require_once(.../plugins/constant-contact-api/admin/contacts.php) [function.require-once]: failed to open stream: No such file or directory in .../plugins/constant-contact-api/constant-contact-api.php on line 41
    
    Fatal error: require_once() [function.require]: Failed opening required '.../plugins/constant-contact-api/admin/contacts.php' (include_path='.:/usr/share/pear:/usr/share/php') in .../plugins/constant-contact-api/constant-contact-api.php on line 41

    Anyone else having the same issue?

    http://wordpress.org/extend/plugins/constant-contact-api/

  2. robkane
    Member
    Posted 2 years ago #

    I'm having a similar issue. For the time being, it's probably advisable to disable the Constant Contact plugin by moving the folder from Plugins to a temp folder and reinstalling the older version. I'll look into this further...

  3. scormeny
    Member
    Posted 2 years ago #

    Yeah, it looks like someone foozled line 41 of the file constant-contact-api.php . It's calling for a file in the admin folder, contacts.php, that doesn't exist. Oops! Hope they fix this immediately, it's a dumb mistake that is causing my entire admin dashboard to crash.

  4. nef426
    Member
    Posted 2 years ago #

    I ran into the same issue, looks like they forgot to include the contacts.php file in the new version package.

    i downloaded the previous version here:http://wordpress.org/extend/plugins/constant-contact-api/download/, and copied over the contacts.php to the /plugins/constant-contact-api/admin/ folder via FTP.

    Doing this is a bit hacky, but seems to fix the issue for the time being --

  5. adambundy
    Member
    Posted 2 years ago #

    Thanks @robkane, @nef426. I was able to move contacts.php over from the prior version (looks like analytics-settings.php was missing from the update as well) and got the new version working.

  6. nef426
    Member
    Posted 2 years ago #

    @adambundy,
    good catch on analytics-setting.php -- I missed that one somehow.

    Also, I'm not sure if it's still in use, but analytics-dashboard.php appears to be MIA as well, I copied it over just in case--

  7. steckinsights
    Member
    Posted 2 years ago #

    Encountering the same problems. Thanks @robkane and @nef426 for the temporary fixes.

  8. robkane
    Member
    Posted 2 years ago #

    If you copy over those php files, that should fix it and hopefully that's the only issue with that. Nef is big $$$ for figuring it out quickly.

  9. DoctorMicro
    Member
    Posted 2 years ago #

    Same problem will try the fix

  10. JezHK
    Member
    Posted 2 years ago #

    Yep same problem and fix

    You've not packaged this properly Katz potentially 3 files missing doesn't look like they have changed in this version as your documentation says v2.3. Please try and be more precise with your updates I imagine not many have time to keep patching - We've already stopped using your constant contact gravity forms plugin (it opted out some of our new and old contacts making it now impossible to use constant contact to send them emails) - no response on posts in that regard yet.

  11. Zack Katz
    Member
    Plugin Author

    Posted 2 years ago #

    This is an issue with the WP repository; I've changed the stable version to 2.3.7 instead of trunk, and I think it'll work.

    Update: this does work. For some reason, WP.org won't include all the files using the trunk.

  12. Help2day
    Member
    Posted 2 years ago #

    Zach- I am not able to get in as the administrator- I get this message when I sign in; What should I do- thanks

    Warning: require_once(/home/content/n/u/t/nutkings/html/wp-content/plugins/constant-contact-api/admin/contacts.php) [function.require-once]: failed to open stream: No such file or directory in /home/content/n/u/t/nutkings/html/wp-content/plugins/constant-contact-api/constant-contact-api.php on line 41

    Fatal error: require_once() [function.require]: Failed opening required '/home/content/n/u/t/nutkings/html/wp-content/plugins/constant-contact-api/admin/contacts.php' (include_path='/home/content/n/u/t/nutkings/html/wp-content/plugins/google/lib/external/google:.:/usr/local/php5/lib/php') in /home/content/n/u/t/nutkings/html/wp-content/plugins/constant-contact-api/constant-contact-api.php on line 41

  13. nef426
    Member
    Posted 2 years ago #

    @Help2day,

    You will need access via FTP.

    Step 1) Download the previous version at: http://wordpress.org/extend/plugins/constant-contact-api/download/
    Step 2) Access your wordpress install via FTP.
    Step 3) Copy the following files from the previous version download, to this location in your wordpress install: '/wp-content/plugins/constant-contact-api/admin/'

    -contact.php
    -analytics-dashboard.php
    -analytics-settings.php

    Once you've uploaded those files, it should work.

  14. akchap
    Member
    Posted 2 years ago #

    At least I wasn't the only one with this issue yesterday. I was locked out of the admin.

    Can someone please tell me if there is a way for to get my 'old' plugin back for my blog sidebar? A 'definitely' rather than a 'maybe' will work?

    Thanks.

  15. jmstrock
    Member
    Posted 2 years ago #

    Perhaps it only me... but I'm unclear whether this problem has been resolved....updating the plugin is still causing the lockout for me... I've had to restore the older version to continue using.

    Zack--you've got such a fine Constant Contact plugin, please keep it working so users aren't afraid to update and/or are forced to figure out time-consuming workarounds.

    Many thanks.

  16. Zack Katz
    Member
    Plugin Author

    Posted 2 years ago #

    It's resolved.

  17. jmstrock
    Member
    Posted 2 years ago #

    Great, thanks very much, Zack. Just loaded in perfectly.

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic